' ------------------------------------------------------------------------------
' file         JohnsAddons.vbs
' date         12-31-2020
' author       Slowly26354 <areYouKidding@NoWayJose.com>
' copyright    none. I hereby release this code to the public domain.
' Description  This is a fork of 'MyAddons' by Scott Greenberg, and may require
'              the GoGo module (GoGoModule.vbs) to work
' ------------------------------------------------------------------------------
' Available functions:
'
' modVersion   display module name, version, and last updated date
' ------------------------------------------------------------------------------

' ------------------------------------------------------------------------------
'                                 Globals.
' ------------------------------------------------------------------------------

Const module_name  = "JohnsAddons"
Const module_ver   = "1.0"
Const module_date  = "12-31-2020"

' ------------------------------------------------------------------------------
'                                 PSPad Environment.
' ------------------------------------------------------------------------------

Sub ShowEnvironment
  Echo "System.PSPad: " & getVarValue("%PSPad%") & VbCrLf & _ 
       "System.PSPath: " & getVarValue("%PSPath%") & VbCrLf & _
       "System.ProjectName: " & getVarValue("%ProjectName%") & VbCrLf & _
       "Program.UserName: " & getVarValue("%UserName%") & VbCrLf & _ 
       "Program.ComputerName: " & getVarValue("%ComputerName%") & VbCrLf & _
       "Program.Company: " & getVarValue("%Company%") & VbCrLf & _  
       "Program.HomePage: " & getVarValue("%HomePage%") & VbCrLf & _ 
       "Program.Date: " & getVarValue("%Date%") & VbCrLf & _ 
       "User.Test: " & getVarValue("%Test%")        
End Sub

' ------------------------------------------------------------------------------
'                           Default module subroutines.
' ------------------------------------------------------------------------------

Sub modVersion
  GoGo.displayHelp "Module: " & module_name & VbCrLf & _
                   "Version: " & module_ver & VbCrLf  & _
                   "Last Updated: " & module_date 
End Sub


' The Init() sub is required in all PSPad modules. It is called automatically 
' during initialization to create menu items.
Sub Init
  menuName = "&" & module_name
  addMenuItem "Module &version", menuName, "modVersion"
  addMenuItem "Show PSPad Environment", menuName, "ShowEnvironment"
End Sub
